Bug 407271 - CRITICAL: gdm_connection_close: assertion "conn != NULL" failure
CRITICAL: gdm_connection_close: assertion "conn != NULL" failure
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-01 08:24 EST by Joshua Covington
Modified: 2009-01-09 02:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:29:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Covington 2007-12-01 08:24:29 EST
Description of problem:
when I logout from my kde session and press instantly turnoff or restart i go
back to the console mode and get this messages 3 times:
gdm_binary[some precess number]:CRITICAL: gdm_connection_close: assertion "conn
!= NULL" failure

and then the gdm restartes and falls back to a default login screen with a
sunflower. then it restarts once again  and after this my mashine turns off /
restarts.

I tried and saw that if i wait for some seconds between loging out and pressing
restart/turnoff then this messages doesn't appear and i see the normal echo
messages when the mashine goes down. But i see this error about 99% of the time.
it looks like the gdm has still some connection to the x server that isn't
closed and therefore it cannot go to the console framebuffer for the echo messages.

Version-Release number of selected component (if applicable):
fedora 8 with all updates applied, this happens ain both x86 ans x86_64 versions
but I couldn't reproduce it with the fedora-8-live-kde-cd.


How reproducible:
after logging out go instantly to restart/turnoff computer

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Joshua Covington 2008-02-06 18:16:22 EST
can someone comment on this?
Comment 2 Ray Strode [halfline] 2008-02-07 17:54:52 EST
Hi,

This is a known issue, but it isn't currently being investigated.
Comment 3 Joshua Covington 2008-02-07 19:27:34 EST
(In reply to comment #2)

But I'm sure someone can just look into the code and find the "nasty bug". fc7
didn't have this. so maybe the gdmgreeter or the gdm itself in fc8 has something
new that causes this?

Comment 4 Ray Strode [halfline] 2008-02-08 09:33:20 EST
Yea, it shouldn't be that hard to debug and fix.  It's just not near the top of
the priority queue relative to other issues at the moment.
Comment 5 Matthias Clasen 2008-02-08 19:44:02 EST
Sorry, for the noise, hadn't noticed that this is an F8 bug
Comment 6 Bug Zapper 2008-11-26 03:46:27 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:29:31 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.